API docs

Events

Get event history for a company.

Returns a paginated list of events (changes) recorded for the specified company, including changes to officers, addresses, status, and other attributes.

Endpoint

GET /api/v1/companies/:company_id/events

Parameters

ParameterTypeInDescription
company_idintegerpathThe unique identifier of the company.
pageintegerqueryPage number (default: 1).
limitintegerqueryRecords per page (default: 100).

Code Examples

Get company events

import requests

url = 'https://statsnet.co/api/v1/companies/12345/events'
headers = {
  'Authorization': 'Bearer sk_live_YOUR_KEY',
  'Content-Type': 'application/json'
}

response = requests.get(url, headers=headers).json()
print(response)

Response

Success response

{
  "events": [
    {
      "id": 1,
      "jurisdiction": "kz",
      "date": "2024-03-01T00:00:00Z",
      "attr": "status",
      "before": "Active",
      "after": "Liquidated",
      "identifier": "302233483"
    }
  ],
  "meta": [
    { "type": "status", "count": 1 },
    { "type": "address", "count": 3 }
  ],
  "total": 4,
  "pagination_total": 4,
  "pagination_offset": 0
}

Error Handling

Error response

{
  "status": 403,
  "message": "access denied"
}